Bug 201122 - Last used directory of 'Add Existing Item' isn't remembered for remote projects.
Last used directory of 'Add Existing Item' isn't remembered for remote projects.
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
7.0.1
PC Solaris
: P3 (vote)
: 7.0.1
Assigned To: Alexander Simon
issues@cnd
CR_7077649, 701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-19 11:44 UTC by Alexander Simon
Modified: 2011-08-29 13:38 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2011-08-19 11:44:19 UTC
FULL PRODUCT VERSION :
java version "1.6.0_26"
Java(TM) SE Runtime Environment (build 1.6.0_26-b03)
Java HotSpot(TM) Client VM (build 20.1-b02, mixed mode, sharing)

ADDITIONAL OS VERSION INFORMATION :
Windows Vista (32bit) Home Premium RU SP2

EXTRA RELEVANT SYSTEM CONFIGURATION :
Remote host: SXCE snv_130 X86 (14 Dec 2009)
Syncronization: Automatic copying.
Remote project was created locally on SXCE using Studio-12u3beta and java 6u26.

A DESCRIPTION OF THE PROBLEM :
Let SS-12u3b IDE, running on Windows Vista, opens project remotely on SXCE host.

If you gradually add files into this project using "Add existing item..." command, the "Select Item" dialog is always opened in the project directory.

This is different from adding files into local project, where "Select item" dialog is opened in the last used directory.

I believe this is a bug in the remote project behavior.
Comment 1 Alexander Simon 2011-08-19 11:46:26 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/e826876a557e
Fixed also missed remote file choosers for:
- include paths
- packaging
- selection libraries, projects

fix transplanted to release701_fixes on elif
e826876a557e transplanted to 054ec142041d
Comment 2 Alexander Pepin 2011-08-23 11:57:18 UTC
Verified in DD created from IDE from build #28
Comment 3 Alexander Simon 2011-08-24 11:43:40 UTC
integrated in release701_fixes:
054ec142041d transplanted to ca963873046b
Comment 4 Alexander Simon 2011-08-24 11:56:32 UTC
integrated in release701_fixes:
2b384c611112 transplanted to 9e806664f724
Comment 5 Alexander Pepin 2011-08-29 13:38:05 UTC
verified in 7.0.1 patch1.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo